Summary:	An enhanced version of csh, the C shell
Name:		tcsh
Version:	6.18.01
Release:	%mkrel 5
License:	BSD
Group:		Shells
URL:		http://www.tcsh.org/
Source:		ftp://ftp.astron.com/pub/%{name}/%{name}-%{version}.tar.gz

Source1:	alias.csh
# patches from fedora
Patch1:		tcsh-6.15.00-closem.patch
Patch12:	tcsh-6.15.00-tinfo.patch
Patch13:	tcsh-6.14.00-unprintable.patch
Patch14:	tcsh-6.15.00-hist-sub.patch

# our patches
Patch106:	tcsh-6.10.00-glibc_compat.patch
# handle new DIR_COLORS codes, fixes #40532, #48284 (partly merged)
Patch107:	tcsh-6.17.00-ls-colors-var.patch
# fix null pointer dereference with glibc 2.17
Patch108:	tcsh-6.18.01-glibc217-crypt.patch

BuildRequires:	pkgconfig(tinfo)
BuildRequires:  groff-for-man
Requires(post):	rpm-helper >= 0.7
Requires(postun): rpm-helper >= 0.7
Provides:	csh = %{version}

%description
Tcsh is an enhanced but completely compatible version of csh, the C
shell. Tcsh is a command language interpreter which can be used both
as an interactive login shell and as a shell script command processor.
Tcsh includes a command line editor, programmable word completion,
spelling correction, a history mechanism, job control and a C language
like syntax.


%prep
%setup -q
%patch1 -p0
%patch12 -p0
#patch13 -p1 -b .unprintable
%patch14 -p0

%patch106 -p0
%patch107 -p0
%patch108 -p0

%build
%configure2_5x --bindir=/bin --without-hesiod
%make
nroff -me eight-bit.me > eight-bit.txt

%install
install -Ds tcsh %{buildroot}/bin/tcsh
install -D tcsh.man %{buildroot}%{_mandir}/man1/tcsh.1

ln -s tcsh.1 %{buildroot}%{_mandir}/man1/csh.1
ln -sf tcsh %{buildroot}/bin/csh

install -D %{SOURCE1} %{buildroot}/etc/profile.d/$(basename %{SOURCE1})

%post
%_add_shell_helper %{name} $1 /bin/csh
%_add_shell_helper %{name} $1 /bin/tcsh

%postun
%_del_shell_helper %{name} $1 /bin/csh
%_del_shell_helper %{name} $1 /bin/tcsh

%files
%defattr(644,root,root,755)
%doc NewThings FAQ Fixes eight-bit.txt complete.tcsh
%doc Ported README* WishList Y2K
%config(noreplace) %{_sysconfdir}/profile.d/*
%attr(755,root,root) /bin/*
%{_mandir}/*/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 6.18.01-5.mga4
+ Revision: 539985
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 colin <colin> 6.18.01-4.mga4
+ Revision: 493111
- Rebuild against ncurse's libtinfo rather than libtermcap

* Thu Aug 22 2013 luigiwalser <luigiwalser> 6.18.01-3.mga4
+ Revision: 469221
- add patch from mancha to fix null pointer deref with glibc 2.17

* Mon Jan 14 2013 umeabot <umeabot> 6.18.01-2.mga3
+ Revision: 384192
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 18 2012 kamil <kamil> 6.18.01-1.mga2
+ Revision: 210182
- new version 6.18.01

* Mon Jan 23 2012 kamil <kamil> 6.18.00-1.mga2
+ Revision: 199962
- use %%_add_shell_helper and %%_del_shell_helper macros
- rediff
  o glibc_compat.patch
  o tinfo.patch
  o hist-sub.patch
  o ls-colors-var.patch (partly merged)
- temporarely disable unprintable.patch (it needs more investigation)
- drop terminos.patch and str-fmt.patch
- new version 6.18.00

* Sun Jan 09 2011 blino <blino> 6.17-2.mga1
+ Revision: 3339
- imported package tcsh


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 6.17-2mdv2011.0
+ Revision: 607985
- rebuild

* Mon Mar 01 2010 Ahmad Samir <ahmadsamir@mandriva.org> 6.17-1mdv2010.1
+ Revision: 512885
- clean spec
- new upstream release 6.17.00
- switch source url to a more up-to-date ftp
- rediff patch107, patch108

  + Sandro Cazzaniga <kharec@mandriva.org>
    - fix warning

* Sat Jan 16 2010 Sandro Cazzaniga <kharec@mandriva.org> 6.16-1mdv2010.1
+ Revision: 492188
- remove patch 15
- upgrade to 6.16

* Sat Nov 14 2009 Andrey Borzenkov <arvidjaar@mandriva.org> 6.15-7mdv2010.1
+ Revision: 465967
- update patch107 to add more colors (mdv #53139)

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 6.15-6mdv2010.0
+ Revision: 427288
- rebuild

* Sat Apr 11 2009 Gustavo De Nardin <gustavodn@mandriva.com> 6.15-5mdv2009.1
+ Revision: 365947
- P101, termios: rediffed for version tcsh-6.15, fuzz=0 fever
- P12: rediffed for version tcsh-6.15, fuzz=0 fever
- P107: handle new DIR_COLORS codes 'ca' and 'hl', fixing #40532, #48284
- P108: -Wformat -Werror=format-security pseudo fixes

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Mon Sep 15 2008 Pixel <pixel@mandriva.com> 6.15-3mdv2009.0
+ Revision: 284950
- handle dircolors's rs=xxx (#40532)

* Wed Jul 09 2008 Pixel <pixel@mandriva.com> 6.15-2mdv2009.0
+ Revision: 232986
- explictly provide /bin/csh

* Sat May 03 2008 Funda Wang <fwang@mandriva.org> 6.15-1mdv2009.0
+ Revision: 200575
- add more patches from fedora
- drop authuid patch, it is not needed any more
- New version 6.15
- drop unneeded patch

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 6.14-5mdv2008.1
+ Revision: 179641
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 01 2007 Pixel <pixel@mandriva.com> 6.14-4mdv2008.0
+ Revision: 57653
- sync patches with fedora's (including a fix for "Unknown colorls variable `su'" #32013)


* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 6.14-3mdv2007.0
+ Revision: 119976
- Import tcsh

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 6.14-2mdk
- Rebuild

* Thu Aug 25 2005 Pixel <pixel@mandriva.com> 6.14-1mdk
- new release
- drop patch0 (utmp) and patch7 (dspmbyte)
- take patch3, patch4, patch5 from fedora
- fix & enhance prereq
- build eight-bit.txt in build stage (cleaner that way)

* Tue Nov 09 2004 Pixel <pixel@mandrakesoft.com> 6.13-2mdk
- add dspmbyte patch from redhat (bugzilla #10116)

* Fri Jun 18 2004 Pixel <pixel@mandrakesoft.com> 6.13-1mdk
- drop patch 7 (which was replacing "eq" with "strncasecmp" whereas there is now "t_pmatch"
  doing shell like globbing, and is useful for STRSTARKUTF8)
- drop patch 5 (done by default)
- update patch 0
- new release

